{
  description = "My haskell project";

  inputs.nixpkgs.url = "nixpkgs/nixos-22.05";

  outputs = { self, nixpkgs }: let
    system = "x86_64-linux";
    pkgs = import nixpkgs { inherit system; };
  in {
    devShells.${system}.default = pkgs.mkShell {
      packages = with pkgs; [
        ghc
        ghcid
        haskell-language-server
        hlint
      ];
      shellHook = "export PS1='\\e[1;34m[nix] cache_sim> \\e[0m'";
    };
  };
}

